Commit 847c2d21 authored by Boyuan Yang's avatar Boyuan Yang

Prepare new upload (0.21-4, experimental)

parent d6e792eb
Pipeline #36564 failed with stages
in 5 minutes and 30 seconds
zbar (0.21-4) experimental; urgency=medium
* QA upload.
* Reintroduce Qt bindings using libzbarqt0 and libzbarqt-dev.
* debian/not-installed: Explicitly do not install libtool .la
files.
-- Boyuan Yang <byang@debian.org> Fri, 15 Feb 2019 10:50:09 -0500
zbar (0.21-3) unstable; urgency=medium
* QA upload.
......
......@@ -89,8 +89,6 @@ Description: bar code scanner and decoder (GTK+ bindings development)
Package: libzbargtk0
Architecture: any
Multi-Arch: same
Pre-Depends:
${misc:Pre-Depends},
Depends:
libzbar0 (= ${binary:Version}),
${misc:Depends},
......@@ -102,6 +100,36 @@ Description: bar code scanner and decoder (GTK+ bindings)
.
This package contains the GTK+ bindings.
Package: libzbarqt-dev
Section: libdevel
Architecture: any
Depends:
libqt5x11extras5-dev,
libzbar-dev (= ${binary:Version}),
libzbarqt0 (= ${binary:Version}),
qtbase5-dev,
${misc:Depends},
Description: bar code scanner and decoder (Qt bindings development)
ZBar is a library for scanning and decoding bar codes from various sources
such as video streams, image files or raw intensity sensors. It supports
EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
.
This package contains the development files for the Qt bindings.
Package: libzbarqt0
Architecture: any
Multi-Arch: same
Depends:
libzbar0 (= ${binary:Version}),
${misc:Depends},
${shlibs:Depends},
Description: bar code scanner and decoder (Qt bindings)
ZBar is a library for scanning and decoding bar codes from various sources
such as video streams, image files or raw intensity sensors. It supports
EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
.
This package contains the Qt bindings.
Package: python-zbar
Section: python
Architecture: any
......
/usr/include/zbar/QZBar*.h
/usr/lib/*/libzbarqt.a
/usr/lib/*/libzbarqt.so
/usr/lib/*/pkgconfig/zbar-qt.pc
/usr/lib/*/libzbarqt.so.0
/usr/lib/*/libzbarqt.so.0.*
libzbarqt 0 libzbarqt0 (>= 0.21)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment